// $Date:: 2010-03-27 23:26:27 +0900#$
// $Rev: 28 $


#include "Smoother.h"

/**************************************************************************************************/
/* Global                                                                                         */
/**************************************************************************************************/
//==============================================================================
// Create_Smoother
//==============================================================================
AVSValue __cdecl Create_Smoother(AVSValue args, void* user_data, IScriptEnvironment* env)
{
    PClip c = args[0].AsClip() ;
    if ( c->GetVideoInfo ().IsYV12 () )
        return new Smoother(c, args[1].AsInt(20), args[2].AsInt(0), args[3].AsInt(1), env);

    env->ThrowError("Smoother: Requires YV12 input");
    return NULL ;
}

//==============================================================================
// AvisynthPluginInit2
//==============================================================================
extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
    env->AddFunction("Smoother", "c[strength]i[threshold]i[type]i", Create_Smoother, 0);
    return "Smoother ver 0.1";
}
